Importapay
Api reference

Submit payer details for payment confirmation

POST/api/merchant/payment-intents/{paymentIntentId}/confirm-payment

Request

Parameters

Prop

Type

Request body (required)

Prop

Type

{  "senderBank": "string",  "senderAccountNumber": "string"}

Responses

200 Payment confirmation result

Example response

{  "message": "payment confirmation processed",  "response": {    "status": "awaiting_confirmation",    "paymentIntent": {      "paymentIntentId": "mpi_123e4567-e89b-12d3-a456-426614174000",      "merchantReference": "INV-3021",      "amount": 85000,      "currency": "NGN",      "status": "awaiting_confirmation",      "accountNumber": "0123456789",      "accountName": "Importa Merchant",      "bankName": "PALMPAY",      "description": "Order payment",      "metadata": {},      "expectedSenderBankName": "PALMPAY",      "expectedSenderAccountNumber": "8889227300",      "paidAmount": 0,      "expiresAt": "2026-08-25T12:00:00.000Z",      "createdAt": "2026-08-24T12:00:00.000Z",      "updatedAt": "2026-08-24T12:00:00.000Z"    }  }}